Webhooks
List webhooks
List all webhooks for an application. Requires webhooks:read scope.
GET
/applications/{application_id}/webhooksAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Path Parameters
application_id*string
Application ID.
Query Parameters
per_page?integer
Items per page (default varies by endpoint; max 100).
Range
1 <= value <= 100Default
15Response Body
application/json
application/json
application/json
curl -X GET "https://example.comapplications/aBc1234/webhooks" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Webhooks retrieved successfully.", "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "description": "Notify CI on new builds", "url": "https://example.com/webhooks/buildstash", "event": "build.created", "secret_configured": true, "format": "json", "level": "application", "is_active": true, "in_error_state": false, "last_successful_request_at": "2025-06-15T14:30:00.000000Z", "last_failed_request_at": null, "event_subscription": { "event": "build.created", "stream": { "id": "stR4567", "name": "nightlies" }, "label": { "id": "lbl1234", "name": "Production", "color": "#22c55e" } }, "application_id": "aBc1234", "workspace_id": "wSp1234", "created_at": "2025-06-10T09:15:00.000000Z", "updated_at": "2025-06-15T14:30:00.000000Z" } ], "pagination": { "current_page": 1, "per_page": 10, "total": 42, "last_page": 5, "from": 1, "to": 10 }}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}